zenilib: zenilib/jni/external/freetype2/src/tools/test_bbox.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
test_bbox.c File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include <FT_BBOX_H>`
`#include <time.h>`

Go to the source code of this file.

## Macros

#define | REPEAT 100000L
#define | XSCALE 65536
#define | XVAL(x) ((x)/(1.0*XSCALE))
#define | XVEC(x, y) { XX(x), XX(y) }
#define | XX(x) ((FT_Pos)(x*XSCALE))

## Functions

static void | dump_outline (FT_Outline *outline)
static long | get_time (void)
int | main (int argc, char **argv)
static void | profile_outline (FT_Outline *outline, long repeat)

## Variables

static short | dummy_contour_1 [1]
static FT_Outline | dummy_outline_1
static FT_Outline | dummy_outline_2
static char | dummy_tag_1 [4]
static FT_Vector | dummy_vec_1 [4]
static FT_Vector | dummy_vec_2 [4]

## Macro Definition Documentation

#define REPEAT 100000L

Definition at line 149 of file test_bbox.c.

Referenced by main().

#define XSCALE 65536

Definition at line 26 of file test_bbox.c.

#define XVAL | ( |  | x | ) | ((x)/(1.0*XSCALE))

Definition at line 29 of file test_bbox.c.

Referenced by dump_outline(), and profile_outline().

#define XVEC | ( |  | x,
|  |  | y
| ) |  | { XX(x), XX(y) }

Definition at line 28 of file test_bbox.c.

#define XX | ( |  | x | ) | ((FT_Pos)(x*XSCALE))

Definition at line 27 of file test_bbox.c.

Referenced by bark_noise_hybridmp().

## Function Documentation

static void dump_outline | ( | FT_Outline * | outline | ) |

static

Definition at line 92 of file test_bbox.c.

References bbox, FT_Outline_Get_BBox(), FT_Outline_Get_CBox(), FT_BBox_::xMax, FT_BBox_::xMin, XVAL, FT_BBox_::yMax, and FT_BBox_::yMin.

static long get_time | ( | void |  | ) |

static

Definition at line 16 of file test_bbox.c.

Referenced by profile_outline(), and Zeni::Text_Box::render_impl().

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 151 of file test_bbox.c.

References profile_outline(), and REPEAT.

static void profile_outline | ( | FT_Outline * | outline,
|  | long | repeat
| ) |  |

static

Definition at line 116 of file test_bbox.c.

References bbox, FT_Outline_Get_BBox(), FT_Outline_Get_CBox(), get_time(), FT_BBox_::xMax, FT_BBox_::xMin, XVAL, FT_BBox_::yMax, and FT_BBox_::yMin.

Referenced by main().

## Variable Documentation

short dummy_contour_1[1]

static

Initial value:
=
{
3
}

Definition at line 55 of file test_bbox.c.

FT_Outline dummy_outline_1

static

Initial value:
=
{
1,
4,
dummy_vec_1,
dummy_tag_1,
dummy_contour_1,
0
}
dummy_tag_1
static char dummy_tag_1[4]
Definition: test_bbox.c:47
dummy_contour_1
static short dummy_contour_1[1]
Definition: test_bbox.c:55
dummy_vec_1
static FT_Vector dummy_vec_1[4]
Definition: test_bbox.c:32

Definition at line 60 of file test_bbox.c.

FT_Outline dummy_outline_2

static

Initial value:
=
{
1,
4,
dummy_vec_2,
dummy_tag_1,
dummy_contour_1,
0
}
dummy_tag_1
static char dummy_tag_1[4]
Definition: test_bbox.c:47
dummy_contour_1
static short dummy_contour_1[1]
Definition: test_bbox.c:55
dummy_vec_2
static FT_Vector dummy_vec_2[4]
Definition: test_bbox.c:72

Definition at line 80 of file test_bbox.c.

char dummy_tag_1[4]

static

Initial value:
=
{
FT_CURVE_TAG_ON,
FT_CURVE_TAG_CUBIC,
FT_CURVE_TAG_CUBIC,
FT_CURVE_TAG_ON
}
FT_CURVE_TAG_CUBIC
#define FT_CURVE_TAG_CUBIC
Definition: ftimage.h:518
FT_CURVE_TAG_ON
#define FT_CURVE_TAG_ON
Definition: ftimage.h:516

Definition at line 47 of file test_bbox.c.

FT_Vector dummy_vec_1[4]

static

Initial value:
=
{
XVEC( 408.9111, 535.3164 ),
XVEC( 455.8887, 634.396 ),
XVEC( -37.8765, 786.2207 ),
}
XVEC
#define XVEC(x, y)
Definition: test_bbox.c:28

Definition at line 32 of file test_bbox.c.

FT_Vector dummy_vec_2[4]

static

Initial value:
=
{
XVEC( 100.0, 100.0 ),
XVEC( 100.0, 200.0 ),
XVEC( 200.0, 200.0 ),
}
XVEC
#define XVEC(x, y)
Definition: test_bbox.c:28

Definition at line 72 of file test_bbox.c.